<template>
	<view class="pages">
		<view class="masck">
			
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				
			}
		},
		onLoad() {
           this.getshuaxin()
		},
		onShareAppMessage: function() {
			return {
				title: '创享物联', 
				path: '/pages/index/index'
			}
		},

		// 分享到朋友圈  
		onShareTimeline: function() { 
			return {
				title: '创享物联',
				query: '',
				path: '/pages/index/index'
			}
		},
		methods: {
            getshuaxin(){
				this.$u.get('/app/user/refreshRealName').then(res => {
					if(res.code == 200){
						if(res.data.pass == true){
							let realNameType = res.data.realNameType
							let infoId = res.data.infoId
							uni.showModal({
								title: '温馨提示',
								content: `人脸认证成功`,
								showCancel: false,
								success: function(res) {
									if(realNameType == 1){
										uni.reLaunch({
											url:'/page_user/yetx'
										})
									}else if(realNameType == 2){
										uni.reLaunch({
											url:'/page_fenbao/fengkong?infoId=' + infoId
										})
									}
								}
							})
						}else{
							uni.showModal({
								title: '温馨提示',
								content: `人脸认证失败`,
								showCancel: false,
								success: function(res) {
									uni.navigateBack()
									// uni.reLaunch({
									// 	url:'/page_fenbao/fengkong?infoId=' + infoId
									// })
								}
							})
						}
					}else{
						// let infoId = res.data.infoId
						uni.showModal({
							title: '温馨提示',
							content: `人脸认证失败`,
							showCancel: false,
							success: function(res) {
								uni.navigateBack()
								// uni.reLaunch({
								// 	url:'/page_fenbao/fengkong?infoId=' + infoId
								// })
							}
						})
					}
				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	// .masck{
	// 	width: 100%;
	// 	height: 100vh;
	// 	position: fixed;
	// 	top: 0;
	// 	left: 0;
	// 	background-color: #000;
	// 	opacity: .6;
	// }
</style>